#!/bin/bash -e
#usage: manageconnection.sh "window title" "connect message" "disconnect message"

GKSUDO="/usr/bin/gksudo"
GKSUDO="/usr/bin/gksu"
KDESUDO="/usr/bin/kdesudo"
KDESU="/usr/bin/kdesu"

UBUDSL="/etc/init.d/ubudsl"

ZENITY="/usr/bin/zenity"
KDIALOG="/usr/bin/kdialog"

TITLE="$1"
MESSAGE_CONNECT="$2"
MESSAGE_DISCONNECT="$3"

if ps -A | grep pppd > /dev/null
then
    STATUS="connected"
else
    STATUS="disconnected"
fi

#------------------------
if [ -a $GKSUDO ]
then
  if [ $STATUS = "connected" ]
  then
    $ZENITY --question --text="$MESSAGE_DISCONNECT" --title="$TITLE"

    if [ $? == 0 ]
    then
      $GKSUDO $UBUDSL stop
    fi

  else
    $ZENITY --question --text="$MESSAGE_CONNECT" --title="$TITLE"
    if [ $? == 0 ]
    then
      $GKSUDO $UBUDSL start
    fi
  fi

#------------------------
elif [ -a $GKSU ]
then
  if [ $STATUS = "connected" ]
  then
    $ZENITY --question --text="$MESSAGE_DISCONNECT" --title="$TITLE"

    if [ $? == 0 ]
    then
      $GKSU $UBUDSL stop
    fi

  else
    $ZENITY --question --text="$MESSAGE_CONNECT" --title="$TITLE"
    if [ $? == 0 ]
    then
      $GKSU $UBUDSL start
    fi
  fi

#------------------------
elif [ -a $KDESUDO ]
then
  if [ $STATUS = "connected" ]
  then
    $KDIALOG --yesno "$MESSAGE_DISCONNECT" --title="$TITLE"

    if [ $? == 0 ]
    then
      $KDESUDO $UBUDSL stop
    fi

  else
    $KDIALOG --yesno "$MESSAGE_CONNECT" --title="$TITLE"
    if [ $? == 0 ]
    then
      $KDESUDO $UBUDSL start
    fi
  fi

#------------------------
elif [ -a $KDESU ]
then
  if [ $STATUS = "connected" ]
  then
    $KDIALOG --yesno "$MESSAGE_DISCONNECT" --title="$TITLE"

    if [ $? == 0 ]
    then
      $KDESU $UBUDSL stop
    fi

  else
    $KDIALOG --yesno "$MESSAGE_CONNECT" --title="$TITLE"
    if [ $? == 0 ]
    then
      $KDESU $UBUDSL start
    fi
  fi

#------------------------
else
  echo ":("
fi

exit 0

